User Profile
curl --request GET \
--url https://api.zapier.com/v1/profiles/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v1/profiles/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v1/profiles/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 88998899,
"first_name": "Jacob",
"last_name": "Corwin",
"full_name": "Jacob Corwin",
"email": "jacob.corwin@zapier.example",
"email_confirmed": true,
"timezone": "America/Toronto"
}
]{}{}{}{}{}Accounts
User Profile
This endpoint returns the authenticated user information
When using OAuth
This endpoint requires the profile OAuth scope.
GET
/
v1
/
profiles
/
me
User Profile
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Response
The numeric identifier of this user
The first name of this user
The last name of this user
The combined full name of this user
The email this user's account is associated with
Whether said email is confirmed yet or not
The timezone set for this user
Last modified on November 7, 2025
Was this page helpful?